Posted by & filed under PHP.

On December 17th 2015, the PHP group published PHP 7.0.1.

Several bugs have been fixed. All PHP 7.0 users are encouraged to upgrade to this version.

Packages of PHP 7.0.1 are now available for Debian 8 “Jessie” on amd64 and i386 architectures.

Please note that :

  • You should remove any PHP5 packages before upgrading
  • The bz2 and xmlrpc modules are now packaged separately, respectively name php7.0-bz2 and php7.0-xmlrpc.
  • Packages of the PECL extensions (Memcache, Memcached, Mongo, Redis, Xdebug…) are still missing and require some work from me.
  • The thread-safe version of all these packages will be published soon.

Please make sure that you understand the above PHP/Debian/Dotdeb changes and that you don’t need any of the missing features/packages. Your feedbacks are always welcome. Just make sure they are useful.

These packages have been published on the main repository for Jessie because they have new names because they shouldn’t conflict with any PHP5 installation. So to get PHP 7.0.1 , just follow the regular instructions for Jessie.

And as usual, feel free to show your support, it is always greatly appreciated… 🙂

9 Responses to “PHP 7.0.1 for Jessie”

  1. Patrice

    Hi Guillaume,
    Do you have any news for memcached package ?
    Thank’s 😉

  2. Anonymous

    You’re awesome! Any idea when the Redis package and the thread-safe version will be available?